extends Node2D

var _time_before = 0
var _finished = false

func _ready() -> void:
	
	var box_scene = load("res://Sprite.tscn")
	
	for n in range (10000):
		var box = box_scene.instance()
		$Boxes.add_child(box)
		#box.queue_free()
	print("Boxes added.")
	
	_time_before = OS.get_ticks_msec()
	
	var last_child = $Boxes.get_child_count()-1
	for n in range (5000):
		#var ch = $Boxes.remove_child($Boxes.get_child(1))
		#$Boxes.add_child_below_node(ch, $Boxes.get_child(0))
		$Boxes.move_child($Boxes.get_child(last_child), 0)

	var time_after = OS.get_ticks_msec()
	var taken = time_after - _time_before
	
	print("Finished, took " + str(taken) + " ms.")

	#call_deferred("_free_boxes")


func _free_boxes():
	for n in range ($Boxes.get_child_count()):
		$Boxes.get_child(n).queue_free()

	
	
	
	
